import { jsx as _jsx } from "react/jsx-runtime";
/**
 * @internal
 * @deprecated This component is deprecated use ListItem instead
 */
export function LegacyListItem({ item = {}, listItemClass }) {
    const ListItemComponent = listItemClass;
    const itemType = item?.source?.type ?? null;
    if (itemType === "separator") {
        return _jsx("div", { role: "list-item-separator", className: "gd-list-item gd-list-item-separator" });
    }
    if (itemType === "header") {
        const itemTitle = item?.source?.title ?? null;
        return (_jsx("div", { role: "list-item-header", className: "gd-list-item gd-list-item-header", children: itemTitle }));
    }
    return _jsx(ListItemComponent, { ...item });
}
